{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>List of Todo Lists</title>
    <link rel="stylesheet" href="{% static 'css/todo_lists.css' %}">
</head>
<body>
    <header>


    </header>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'todo_list_create' %}">Create a new list</a>
                <a href="{% url 'todo_item_create' %}">Create a new item</a>
            </p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in list_list.all %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' list.id %}">{{list.name}}</a></td>
                        <td>{{list.items.all|length}}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    <footer>


    </footer>
</body>
</html>
